package com.zayac.admin.resp;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * "memberId": 509419585,
 * "name": "zaq198014",
 * "topId": 500007970,
 * "topName": "ky3tg107032",
 * "firstPayTime": "2024-06-15 18:20:49",
 * "registerTime": "2023-08-18 19:18:30",
 * "deposit": 1522,
 * "bets": 1394,
 * "activeStr": "首存会员"
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ActiveListResp {
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 会员名称
     */
    private String name;
    /**
     * 会员上级id
     */
    private Long topId;

    /**
     * 首存时间
     */
    private LocalDateTime firstPayTime;
    /**
     * 注册时间
     */
    private LocalDateTime registerTime;
    /**
     * 存款
     */
    private BigDecimal deposit;
    /**
     * 投注
     */
    private BigDecimal bets;
    /**
     * 活跃类型
     */
    private String activeStr;
}
